de.esprit.netsuite.transl

## Enum TrEnsConfirm

- java.lang.Object
- - java.lang.Enum<TrEnsConfirm>
  - - de.esprit.netsuite.transl.TrEnsConfirm

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsConfirm>

      public enum TrEnsConfirm
      extends java.lang.Enum<TrEnsConfirm>
      implements NlsKey

  Translations for confirm messages
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL_AGENT`
    `CANCEL_PROCESS`
    `CHANGING_PASSWORD_OF_USER_0`
    `DELETE_ABO_0`
    `OPEN_NEW_LOGFILE`
    `OPEN_NEW_LOGFILE_IN_0`
    `SHUTDOWN_SERVER_0`
    `STILL_0_OF_TYPE_1_RUNNING`
    `STILL_AGENTS_RUNNING_0`
    `STILL_COMMANDS_RUNNING_0`
    `STILL_PROCS_RUNNING_0`
    `STILL_TRANSFERS_RUNNING_0`
    `STILL_WORKFLOWS_RUNNING_0`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEnsConfirm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsConfirm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### STILL_0_OF_TYPE_1_RUNNING

          public static final TrEnsConfirm STILL_0_OF_TYPE_1_RUNNING

    - #### STILL_AGENTS_RUNNING_0

          public static final TrEnsConfirm STILL_AGENTS_RUNNING_0

    - #### STILL_PROCS_RUNNING_0

          public static final TrEnsConfirm STILL_PROCS_RUNNING_0

    - #### STILL_TRANSFERS_RUNNING_0

          public static final TrEnsConfirm STILL_TRANSFERS_RUNNING_0

    - #### STILL_COMMANDS_RUNNING_0

          public static final TrEnsConfirm STILL_COMMANDS_RUNNING_0

    - #### STILL_WORKFLOWS_RUNNING_0

          public static final TrEnsConfirm STILL_WORKFLOWS_RUNNING_0

    - #### SHUTDOWN_SERVER_0

          public static final TrEnsConfirm SHUTDOWN_SERVER_0

    - #### CANCEL_PROCESS

          public static final TrEnsConfirm CANCEL_PROCESS

    - #### OPEN_NEW_LOGFILE

          public static final TrEnsConfirm OPEN_NEW_LOGFILE

    - #### OPEN_NEW_LOGFILE_IN_0

          public static final TrEnsConfirm OPEN_NEW_LOGFILE_IN_0

    - #### CANCEL_AGENT

          public static final TrEnsConfirm CANCEL_AGENT

    - #### DELETE_ABO_0

          public static final TrEnsConfirm DELETE_ABO_0

    - #### CHANGING_PASSWORD_OF_USER_0

          public static final TrEnsConfirm CHANGING_PASSWORD_OF_USER_0

  - ### Method Detail

    - #### values

          public static TrEnsConfirm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsConfirm c : TrEnsConfirm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsConfirm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.